    Create a RMF data structure.

unpack_rmf(arg)
>>> rmf1 = unpack_rmf("rmf1.fits") >>> rmf2 = unpack_rmf("rmf2.fits")

Read in a RMF using Crates:

>>> acr = pycrates.read_rmf("src.rmf") >>> rmf = unpack_rmf(acr)

Read in a RMF using AstroPy:

>>> hdus = astropy.io.fits.open("src.rmf") >>> rmf = unpack_rmf(hdus)

PARAMETERS

The parameter for this function is:

Parameter
Definition
arg
Identify the RMF: a file name, or a data structure representing the data to use, as used by the I/O backend in use by Sherpa: a rmfcratedataset for crates, as used by CIAO, or a list of AstroPy HDU objects.

Notes

The `minimum_energy` setting of the `ogip` section of the Sherpa configuration file determines the behavior when an RMF with a minimum energy of 0 is read in. The default is to replace the 0 by the value 1e-10, which will also cause a warning message to be displayed.

Changes in CIAO

This command does not support multi-matrix RMF files and will warn the user when given such a file (as only the first matrix is read in, the results will not be correct).

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023